Bug 1381252 - [abrt] lxqt-panel: QSocketNotifier::setEnabled(): lxqt-panel killed by SIGSEGV
Summary: [abrt] lxqt-panel: QSocketNotifier::setEnabled(): lxqt-panel killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liblxqt
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Helio Chissini de Castro
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0f20a6b71c754355a5cd8a5b5ef...
: 1381913 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-03 13:47 UTC by Karel Volný
Modified: 2017-01-29 22:17 UTC (History)
4 users (show)

Fixed In Version: liblxqt-0.11.1-4.fc25 liblxqt-0.11.1-4.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-29 21:51:23 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (18.91 KB, text/plain)
2016-10-03 13:47 UTC, Karel Volný
no flags Details
File: cgroup (242 bytes, text/plain)
2016-10-03 13:47 UTC, Karel Volný
no flags Details
File: core_backtrace (6.16 KB, text/plain)
2016-10-03 13:47 UTC, Karel Volný
no flags Details
File: dso_list (13.60 KB, text/plain)
2016-10-03 13:47 UTC, Karel Volný
no flags Details
File: environ (1.44 KB, text/plain)
2016-10-03 13:47 UTC, Karel Volný
no flags Details
File: exploitable (95 bytes, text/plain)
2016-10-03 13:48 UTC, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-03 13:48 UTC, Karel Volný
no flags Details
File: maps (54.86 KB, text/plain)
2016-10-03 13:48 UTC, Karel Volný
no flags Details
File: mountinfo (3.08 KB, text/plain)
2016-10-03 13:48 UTC, Karel Volný
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-03 13:48 UTC, Karel Volný
no flags Details
File: open_fds (1.76 KB, text/plain)
2016-10-03 13:48 UTC, Karel Volný
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-10-03 13:48 UTC, Karel Volný
no flags Details
File: var_log_messages (386 bytes, text/plain)
2016-10-03 13:48 UTC, Karel Volný
no flags Details

Description Karel Volný 2016-10-03 13:47:46 UTC
Version-Release number of selected component:
lxqt-panel-0.11.0-2.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        lxqt-panel
crash_function: QSocketNotifier::setEnabled
executable:     /usr/bin/lxqt-panel
global_pid:     1364
kernel:         4.8.0-0.rc7.git0.1.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QSocketNotifier::setEnabled at kernel/qsocketnotifier.cpp:246
 #1 QSocketNotifier::~QSocketNotifier at kernel/qsocketnotifier.cpp:164
 #3 QScopedPointerDeleter<QSocketNotifier>::cleanup at /usr/include/qt5/QtCore/qscopedpointer.h:60
 #4 QScopedPointer<QSocketNotifier, QScopedPointerDeleter<QSocketNotifier> >::~QScopedPointer at /usr/include/qt5/QtCore/qscopedpointer.h:107
 #5 (anonymous namespace)::SignalHandler::~SignalHandler at /usr/src/debug/liblxqt-0.11.0/lxqtapplication.cpp:170
 #6 QScopedPointerDeleter<(anonymous namespace)::SignalHandler>::cleanup at /usr/include/qt5/QtCore/qscopedpointer.h:60
 #7 QScopedPointer<(anonymous namespace)::SignalHandler, QScopedPointerDeleter<(anonymous namespace)::SignalHandler> >::~QScopedPointer at /usr/include/qt5/QtCore/qscopedpointer.h:107
 #8 __cxa_finalize at cxa_finalize.c:56
 #9 __do_global_dtors_aux
 #10 ??

Comment 1 Karel Volný 2016-10-03 13:47:53 UTC
Created attachment 1206886 [details]
File: backtrace

Comment 2 Karel Volný 2016-10-03 13:47:54 UTC
Created attachment 1206887 [details]
File: cgroup

Comment 3 Karel Volný 2016-10-03 13:47:56 UTC
Created attachment 1206888 [details]
File: core_backtrace

Comment 4 Karel Volný 2016-10-03 13:47:57 UTC
Created attachment 1206889 [details]
File: dso_list

Comment 5 Karel Volný 2016-10-03 13:47:59 UTC
Created attachment 1206890 [details]
File: environ

Comment 6 Karel Volný 2016-10-03 13:48:00 UTC
Created attachment 1206891 [details]
File: exploitable

Comment 7 Karel Volný 2016-10-03 13:48:01 UTC
Created attachment 1206892 [details]
File: limits

Comment 8 Karel Volný 2016-10-03 13:48:03 UTC
Created attachment 1206893 [details]
File: maps

Comment 9 Karel Volný 2016-10-03 13:48:05 UTC
Created attachment 1206894 [details]
File: mountinfo

Comment 10 Karel Volný 2016-10-03 13:48:06 UTC
Created attachment 1206895 [details]
File: namespaces

Comment 11 Karel Volný 2016-10-03 13:48:08 UTC
Created attachment 1206896 [details]
File: open_fds

Comment 12 Karel Volný 2016-10-03 13:48:09 UTC
Created attachment 1206897 [details]
File: proc_pid_status

Comment 13 Karel Volný 2016-10-03 13:48:11 UTC
Created attachment 1206898 [details]
File: var_log_messages

Comment 14 Raphael Groner 2016-10-03 15:40:27 UTC
Obviously something in liblxqt, as backtrace tells.
Unfortunately, there's no source file (and line #) given where the crash happens.

Comment 15 Raphael Groner 2016-10-05 19:08:25 UTC
*** Bug 1381913 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2017-01-19 14:30:41 UTC
obconf-qt-0.11.1-3.fc25 lxqt-session-0.11.1-3.fc25 pcmanfm-qt-0.11.3-3.fc25 pavucontrol-qt-0.2.0-3.fc25 lxqt-sudo-0.11.1-3.fc25 lxqt-runner-0.11.1-3.fc25 lxqt-qtplugin-0.11.1-2.fc25 lxqt-powermanagement-0.11.1-3.fc25 lxqt-policykit-0.11.1-3.fc25 lxqt-panel-0.11.1-3.fc25 lxqt-openssh-askpass-0.11.1-3.fc25 lxqt-notificationd-0.11.1-3.fc25 lxqt-l10n-0.11.2-2.fc25 lxqt-globalkeys-0.11.1-3.fc25 lxqt-config-0.11.1-4.fc25 lxqt-common-0.11.2-2.fc25 lxqt-about-0.11.1-3.fc25 lxqt-admin-0.11.1-3.fc25 lximage-qt-0.5.1-3.fc25 liblxqt-0.11.1-4.fc25 libfm-qt-0.11.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb2187bc4e

Comment 17 Fedora Update System 2017-01-19 14:31:13 UTC
obconf-qt-0.11.1-3.fc24 lxqt-session-0.11.1-3.fc24 pcmanfm-qt-0.11.3-3.fc24 pavucontrol-qt-0.2.0-3.fc24 lxqt-sudo-0.11.1-3.fc24 lxqt-runner-0.11.1-3.fc24 lxqt-qtplugin-0.11.1-2.fc24 lxqt-powermanagement-0.11.1-3.fc24 lxqt-policykit-0.11.1-3.fc24 lxqt-panel-0.11.1-3.fc24 lxqt-openssh-askpass-0.11.1-3.fc24 lxqt-notificationd-0.11.1-3.fc24 lxqt-l10n-0.11.2-2.fc24 lxqt-globalkeys-0.11.1-3.fc24 lxqt-config-0.11.1-4.fc24 lxqt-common-0.11.2-2.fc24 lxqt-about-0.11.1-3.fc24 lxqt-admin-0.11.1-3.fc24 lximage-qt-0.5.1-3.fc24 liblxqt-0.11.1-4.fc24 libfm-qt-0.11.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7a00b029c

Comment 18 Fedora Update System 2017-01-20 19:21:01 UTC
libfm-qt-0.11.2-3.fc24, liblxqt-0.11.1-4.fc24, lximage-qt-0.5.1-3.fc24, lxqt-about-0.11.1-3.fc24, lxqt-admin-0.11.1-3.fc24, lxqt-common-0.11.2-2.fc24, lxqt-config-0.11.1-4.fc24, lxqt-globalkeys-0.11.1-3.fc24, lxqt-l10n-0.11.2-2.fc24, lxqt-notificationd-0.11.1-3.fc24, lxqt-openssh-askpass-0.11.1-3.fc24, lxqt-panel-0.11.1-3.fc24, lxqt-policykit-0.11.1-3.fc24, lxqt-powermanagement-0.11.1-3.fc24, lxqt-qtplugin-0.11.1-2.fc24, lxqt-runner-0.11.1-3.fc24, lxqt-session-0.11.1-3.fc24, lxqt-sudo-0.11.1-3.fc24, obconf-qt-0.11.1-3.fc24, pavucontrol-qt-0.2.0-3.fc24, pcmanfm-qt-0.11.3-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c7a00b029c

Comment 19 Fedora Update System 2017-01-20 19:55:42 UTC
libfm-qt-0.11.2-3.fc25, liblxqt-0.11.1-4.fc25, lximage-qt-0.5.1-3.fc25, lxqt-about-0.11.1-3.fc25, lxqt-admin-0.11.1-3.fc25, lxqt-common-0.11.2-2.fc25, lxqt-config-0.11.1-4.fc25, lxqt-globalkeys-0.11.1-3.fc25, lxqt-l10n-0.11.2-2.fc25, lxqt-notificationd-0.11.1-3.fc25, lxqt-openssh-askpass-0.11.1-3.fc25, lxqt-panel-0.11.1-3.fc25, lxqt-policykit-0.11.1-3.fc25, lxqt-powermanagement-0.11.1-3.fc25, lxqt-qtplugin-0.11.1-2.fc25, lxqt-runner-0.11.1-3.fc25, lxqt-session-0.11.1-3.fc25, lxqt-sudo-0.11.1-3.fc25, obconf-qt-0.11.1-3.fc25, pavucontrol-qt-0.2.0-3.fc25, pcmanfm-qt-0.11.3-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cb2187bc4e

Comment 20 Fedora Update System 2017-01-29 21:51:23 UTC
libfm-qt-0.11.2-3.fc25, liblxqt-0.11.1-4.fc25, lximage-qt-0.5.1-3.fc25, lxqt-about-0.11.1-3.fc25, lxqt-admin-0.11.1-3.fc25, lxqt-common-0.11.2-2.fc25, lxqt-config-0.11.1-4.fc25, lxqt-globalkeys-0.11.1-3.fc25, lxqt-l10n-0.11.2-2.fc25, lxqt-notificationd-0.11.1-3.fc25, lxqt-openssh-askpass-0.11.1-3.fc25, lxqt-panel-0.11.1-3.fc25, lxqt-policykit-0.11.1-3.fc25, lxqt-powermanagement-0.11.1-3.fc25, lxqt-qtplugin-0.11.1-2.fc25, lxqt-runner-0.11.1-3.fc25, lxqt-session-0.11.1-3.fc25, lxqt-sudo-0.11.1-3.fc25, obconf-qt-0.11.1-3.fc25, pavucontrol-qt-0.2.0-3.fc25, pcmanfm-qt-0.11.3-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2017-01-29 22:17:41 UTC
libfm-qt-0.11.2-3.fc24, liblxqt-0.11.1-4.fc24, lximage-qt-0.5.1-3.fc24, lxqt-about-0.11.1-3.fc24, lxqt-admin-0.11.1-3.fc24, lxqt-common-0.11.2-2.fc24, lxqt-config-0.11.1-4.fc24, lxqt-globalkeys-0.11.1-3.fc24, lxqt-l10n-0.11.2-2.fc24, lxqt-notificationd-0.11.1-3.fc24, lxqt-openssh-askpass-0.11.1-3.fc24, lxqt-panel-0.11.1-3.fc24, lxqt-policykit-0.11.1-3.fc24, lxqt-powermanagement-0.11.1-3.fc24, lxqt-qtplugin-0.11.1-2.fc24, lxqt-runner-0.11.1-3.fc24, lxqt-session-0.11.1-3.fc24, lxqt-sudo-0.11.1-3.fc24, obconf-qt-0.11.1-3.fc24, pavucontrol-qt-0.2.0-3.fc24, pcmanfm-qt-0.11.3-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.